Wan Spicy: Wan 2.2 I2V Spicy (Image to Video) API Reference

About

Qwen Image Edit Spicy. Add, remove, or modify elements in an existing image with text guidance. Integrate this model via REST with endpoint docs, parameters, and code examples.

1. Calling the API

Setup your API Key

To begin using Infron, you first need to create an account and generate your API Key.

Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.

export INFRON_KEY="YOUR_API_KEY"

Submit a request

For long-running requests, you can poll for results.

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/wan2.2-i2v-spicy/image-to-video",
  "prompt": "Interpolate smoothly between the two safe studio portraits with natural motion and a steady camera.",
  "image_urls": [
    "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png",
    "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_21765ae5f35d4e4e94a21a879ebd5aab.png"
  ],
  "duration": "8",
  "resolution": "720p",
  "enable_prompt_expansion": true,
  "enhance_prompt": true,
  "n": 1,
  "seed": 2147483647
}
EOF

Response with queue task id

The response will look like this:

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "fd42926ca08e4620958cd13ac32ae854",
    "object": "video",
    "model": "wan/wan2.2-i2v-spicy/image-to-video",
    "status": "created",
    "urls": {
      "query": "https://media.onerouter.pro/v1/videos/tasks/fd42926ca08e4620958cd13ac32ae854"
    },
    "created_at": "2026-07-15 06:39:59.49"
  }
}

Fetch request status

You can fetch the status of a request to check if it is completed or still in progress.

curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" 

# For example
curl https://media.onerouter.pro/v1/videos/tasks/fd42926ca08e4620958cd13ac32ae854 \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Response with queue task status query

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "fd42926ca08e4620958cd13ac32ae854",
    "object": "video",
    "model": "wan/wan2.2-i2v-spicy/image-to-video",
    "status": "in_progress",
    "fail_reason": "",
    "submit_time": 1784097599,
    "start_time": 1784097600,
    "finish_time": 0,
    "outputs": [],
    "created_at": "2026-07-15 06:39:59"
  }
}

Possible statuses:

  • created
  • in_progress
  • processing
  • completed
  • failed

created -> in_progress → processing → completed | failed

Poll every 1-2 seconds until status is "completed" or "failed"

Get the result (when status is "completed")

Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "fd42926ca08e4620958cd13ac32ae854",
    "object": "video",
    "model": "wan/wan2.2-i2v-spicy/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784097599,
    "start_time": 1784097600,
    "finish_time": 1784097689,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_7358c48a-6ee3-4950-88bd-3f9059baa412.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 8,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 8
    },
    "cost": {
      "total_cost": 0.641,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.641,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 06:39:59"
  }
}

2. Schema

Input

ParameterTypeRequiredDefaultRangeDescription
modelstringYes--Explore all modelsModel name.
promptstringYes----Text prompt for generation; Positive text prompt.
image_urlsarrayYes--[2][0] First frame, [1] optional last frame; start_image_url can be used instead of the first frame.
startimageurlstringYes--[1]Synonymous with image_urls[0]; if both are provided, this field takes precedence.
endimageurlstringNo--[1]Optional trailing frame; takes precedence over image_urls[1] when both are present.
durationintegerNo55, 8Duration of the video in seconds, only 5 and 8 are supported.
resolutionstringNo720p480p, 720pResolution of the generated video.
enablepromptexpansionbooleanYestruetrue, falseWhether to enable prompt expansion.
enhance_promptbooleanNotruetrue, falseWhether to enhance the prompt.
nintegerNo1[1]Number of videos to generate.
seedintegerNo-->=1The random seed to use for the generation.

Example request

curl https://media.onerouter.pro/v1/videos/generations \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d @- <<'EOF'
{
  "model": "wan/wan2.2-i2v-spicy/image-to-video",
  "prompt": "Interpolate smoothly between the two safe studio portraits with natural motion and a steady camera.",
  "image_urls": [
    "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_b4bf16cb8a6b44b39a33160595d77f38.png",
    "https://storage.googleapis.com/infron_gcs/image%2Fgenerated%2Fmulerouter_image_21765ae5f35d4e4e94a21a879ebd5aab.png"
  ],
  "duration": "8",
  "resolution": "720p",
  "enable_prompt_expansion": true,
  "enhance_prompt": true,
  "n": 1,
  "seed": 2147483647
}
EOF

Output

ParameterTypeRangeDescription
codeinteger--Status code of the request.
messagestring--Status message of the request.
dataobject--Data of the video task.
data.task_idstring--ID of the video task.
data.objectstring--Object type of the video task.
data.modelstring--Model name of the video task.
data.statusstringcreated, in_progress, processing, completed, failedStatus of the video task.
data.fail_reasonstring--Fail reason of the video task.
data.submit_timeinteger--Timestamp of the video task submission.
data.start_timeinteger--Timestamp of the video task start.
data.finish_timeinteger--Timestamp of the video task finish.
data.outputsarray--Outputs of the video task.
data.created_atstring--Timestamp of the video task creation.

Example output

{
  "code": 200,
  "message": "success",
  "data": {
    "task_id": "fd42926ca08e4620958cd13ac32ae854",
    "object": "video",
    "model": "wan/wan2.2-i2v-spicy/image-to-video",
    "status": "completed",
    "fail_reason": "",
    "submit_time": 1784097599,
    "start_time": 1784097600,
    "finish_time": 1784097689,
    "outputs": [
      "https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_7358c48a-6ee3-4950-88bd-3f9059baa412.mp4"
    ],
    "usage": {
      "completion_tokens": 0,
      "duration": 8,
      "generate_audio": false,
      "output_count": 1,
      "prompt_tokens": 1,
      "request_num": 1,
      "resolution": "720p",
      "tokens": 1,
      "total_tokens": 1,
      "video_duration": 8
    },
    "cost": {
      "total_cost": 0.641,
      "cost_details": {
        "prompt_cost": 0,
        "completion_cost": 0,
        "image_cost": 0,
        "video_cost": 0.641,
        "audio_cost": 0,
        "native_web_search_cost": 0,
        "plugin_web_search_cost": 0,
        "tools_cost": 0,
        "prompt_cache_read_cost": 0,
        "prompt_cache_write_cost": 0,
        "prompt_cache_write_5_min": 0,
        "prompt_cache_write_1_h": 0,
        "reasoning_cost": 0,
        "discount_rate": 1,
        "is_byok": false,
        "byok_cost": 0
      }
    },
    "created_at": "2026-07-15 06:39:59"
  }
}

3. Detailed Pricing

Pricing TypeUnitPrice
Input text--
Input image--
Prompt optimization1 request$0.001
Output video 480p1 second$0.040
Output video 720p1 second$0.080
ResolutionSupported DurationEstimated Price
480p5 s / 8 s$0.040 / second
720p5 s / 8 s$0.080 / second
ResolutionDurationVideo PriceWith Prompt Optimization
480p5 s$0.200$0.201
480p8 s$0.320$0.321
720p5 s$0.400$0.401
720p8 s$0.640$0.641